summaryrefslogtreecommitdiffstats
path: root/multimedia/xvid4conf
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-05-13 00:59:52 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:52 +0200
commit0d73c3d6d5a4fab92b92692bfb01ed010803738d (patch)
tree6f42dac3a91c28c84ecf2d064bb64a9e763195a7 /multimedia/xvid4conf
parentb6cff031844be6c872e146e703d5be11ac7e8b56 (diff)
downloadslackbuilds-0d73c3d6d5a4fab92b92692bfb01ed010803738d.tar.gz
slackbuilds-0d73c3d6d5a4fab92b92692bfb01ed010803738d.tar.xz
multimedia/xvid4conf: Added to 13.0 repository
Diffstat (limited to 'multimedia/xvid4conf')
-rw-r--r--multimedia/xvid4conf/README3
-rw-r--r--multimedia/xvid4conf/slack-desc19
-rw-r--r--multimedia/xvid4conf/xvid4conf.SlackBuild72
-rw-r--r--multimedia/xvid4conf/xvid4conf.info10
4 files changed, 104 insertions, 0 deletions
diff --git a/multimedia/xvid4conf/README b/multimedia/xvid4conf/README
new file mode 100644
index 0000000000..a0105ddd3e
--- /dev/null
+++ b/multimedia/xvid4conf/README
@@ -0,0 +1,3 @@
+This tool creates XviD configuration files. The generated configuration file
+is meant to be read by transcodes xvid4 export module. This module (and so
+the configuration file) is intended to be used with XviD 1.0 (dev-api-4).
diff --git a/multimedia/xvid4conf/slack-desc b/multimedia/xvid4conf/slack-desc
new file mode 100644
index 0000000000..f9d09c8a13
--- /dev/null
+++ b/multimedia/xvid4conf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+xvid4conf: xvid4conf (XviD configuration tool)
+xvid4conf:
+xvid4conf: This tool creates XviD configuration files. The generated configuration
+xvid4conf: file is meant to be read by transcodes xvid4 export module. This module
+xvid4conf: (and so the configuration file) is intended to be used with XviD 1.0
+xvid4conf: (dev-api-4)
+xvid4conf:
+xvid4conf:
+xvid4conf:
+xvid4conf:
+xvid4conf:
diff --git a/multimedia/xvid4conf/xvid4conf.SlackBuild b/multimedia/xvid4conf/xvid4conf.SlackBuild
new file mode 100644
index 0000000000..0d38b2af66
--- /dev/null
+++ b/multimedia/xvid4conf/xvid4conf.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for xvid4conf
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=xvid4conf
+VERSION=${VERSION:-1.12}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --enable-shared=yes \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/xvid4conf/xvid4conf.info b/multimedia/xvid4conf/xvid4conf.info
new file mode 100644
index 0000000000..25b680a868
--- /dev/null
+++ b/multimedia/xvid4conf/xvid4conf.info
@@ -0,0 +1,10 @@
+PRGNAM="xvid4conf"
+VERSION="1.12"
+HOMEPAGE="http://www.debian-multimedia.org/dists/stable/main/binary-i386/package/xvid4conf.php"
+DOWNLOAD="http://www.debian-multimedia.org/pool/main/x/xvid4conf/xvid4conf_1.12.orig.tar.gz"
+MD5SUM="5f1335e8a19aac58f6534f468c10a77a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"